jvx.util

## Class PuBinaryTreeNode

- java.lang.Object
- - jvx.util.PuBinaryTreeNode

-     public class PuBinaryTreeNode
      extends java.lang.Object

  Class for nodes in a binary search tree.
  Author:
    Ulrich Reitebuch
  Version:
    24.04.13, 1.00 created (ur)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PuBinaryTreeNode(int key, java.lang.Object value)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getHeight()` Get Height of this node.
    `int` | `getKey()` Get key (index) of this node.
    `PuBinaryTreeNode` | `getLeft()` Get left child of this node.
    `PuBinaryTreeNode` | `getParent()` Get parent node of this node.
    `PuBinaryTreeNode` | `getRight()` Get right child of this node.
    `java.lang.Object` | `getValue()` Get value object of this node.
    `void` | `setHeight(int m_height)` Set Height of this node.
    `void` | `setKey(int m_key)` Set key (index) of this node.
    `void` | `setLeft(PuBinaryTreeNode m_left)` Set left child of this node.
    `void` | `setParent(PuBinaryTreeNode m_parent)` Set parent node of this node.
    `void` | `setRight(PuBinaryTreeNode m_right)` Set right child of this node.
    `void` | `setValue(java.lang.Object value)` Set value object of this node.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PuBinaryTreeNode

          public PuBinaryTreeNode(int key,
                                  java.lang.Object value)

      Constructor

  - ### Method Detail

    - #### setValue

          public void setValue(java.lang.Object value)

      Set value object of this node.

    - #### getValue

          public java.lang.Object getValue()

      Get value object of this node.

    - #### setKey

          public void setKey(int m_key)

      Set key (index) of this node.

    - #### getKey

          public int getKey()

      Get key (index) of this node.

    - #### setHeight

          public void setHeight(int m_height)

      Set Height of this node.

    - #### getHeight

          public int getHeight()

      Get Height of this node.

    - #### setRight

          public void setRight(PuBinaryTreeNode m_right)

      Set right child of this node.

    - #### getRight

          public PuBinaryTreeNode getRight()

      Get right child of this node.

    - #### setLeft

          public void setLeft(PuBinaryTreeNode m_left)

      Set left child of this node.

    - #### getLeft

          public PuBinaryTreeNode getLeft()

      Get left child of this node.

    - #### setParent

          public void setParent(PuBinaryTreeNode m_parent)

      Set parent node of this node.

    - #### getParent

          public PuBinaryTreeNode getParent()

      Get parent node of this node.

"

The software JavaView? is copyright protected. All Rights Reserved.
"